{
    "name": "fbkl/adonis",
    "description": "Ukrposhta PHP API library",
    "type": "library",
    "license": "MIT",
    "keywords": [
        "api",
        "ukrposhta"
    ],
    "homepage": "https://fabrika-klientov.com",
    "authors": [
        {
            "name": "Andrew",
            "email": "3oosor@gmail.com",
            "homepage": "https://github.com/oosor",
            "role": "Developer"
        }
    ],
    "require": {
        "php": "^7.2|^8.0",
        "ext-json": "*",
        "guzzlehttp/guzzle": "^6.3|^7.0",
        "illuminate/support": "^5.8|^6.0|^7.0|^8.0|^9.0"
    },
    "require-dev": {
        "phpunit/phpunit": "^9",
        "phpstan/phpstan": "^0.12",
        "phpstan/phpstan-strict-rules": "^0.12",
        "phpstan/phpstan-phpunit": "^0.12",
        "sebastian/phpcpd": "^6.0"
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "autoload": {
        "psr-4": {
            "Adonis\\": "src/"
        }
    },
    "scripts": {
        "test": "@php ./vendor/bin/phpunit --no-coverage",
        "phpstan": "@php ./vendor/bin/phpstan analyze --ansi --level=8 ./src",
        "phpcpd": "@php ./vendor/bin/phpcpd src/ --min-lines=10"
    }
}
